EQUALEXPR(3)

NAME
equalExpr - checks that two expressions are strictly equal

SYNOPSYS
#include "logmmm.h"
int equalExpr(expr1,expr2)
chain_list *expr1,*expr2;

PARAMETERS

expr1
    first expression

expr1
    second expression

DESCRIPTION
equalExpr() compares its arguments and returns 0 if expr1 and expr2 are differents, in any other case, 1 is returns.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr1,*expr2;
	/* let's suppose that
		expr1 = (OR (AND a b) c)
		expr2 = (OR (AND a b) c) */
printf("%d",equalExpr(expr1,expr2));
/* it will display
1
*/
freeExpr(expr2);
expr2 = createExpr(OR);
addQExpr(expr2,createAtom("b"));
addQExpr(expr2,createAtom("a"));
printf("%d",equalExpr(expr1,expr2));
/* it will display
0
*/
freeExpr(expr1);
freeExpr(expr2);

SEE ALSO
log(1), abl(1), equalVarExpr(3), searchExpr(3), searchOperExpr(3), lengthExpr(3), profExpr(3), numberAtomExpr(3).